---
search:
  tags:
    - Wallets
    - GET
seo:
  description: >-
    List transfers for a wallet. Reference for the GET
    /wallets/{wallet_id}/transfers endpoint in the Bolder API v2.
sidebar:
  label: List transfers for a wallet
  badge: GET
title: List transfers for a wallet
type: openapi-operation
---
`GET /wallets/{wallet_id}/transfers`

**Responses**

- `200` — Paginated list of transfers

Response example, 200:

```json
{
  "total_items": 42,
  "per_page": 20,
  "page": 1,
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "_class": [
    "results",
    "walletTransfers"
  ],
  "_embedded": {
    "items": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": 0,
        "direction": "incoming",
        "state": "pending",
        "amount": 0,
        "original_amount": 0,
        "description": "string",
        "reference_code": "string",
        "payment_method": "string",
        "shop_id": "string",
        "wallet_id": 0,
        "balance_expires_at": "2019-08-24T14:15:22Z",
        "created_on": "2019-08-24T14:15:22Z"
      }
    ]
  }
}
```
